.input {
    width: 220px;
    height: 30px;
    font-size: 16px;
    line-height: 1.2;
    background-color: #f1e6cd;
    display: inline-flex;
    border: 1px solid grey;
    border-radius: 2px;
    position: relative;
    cursor: text;
    overflow: hidden;
    contain: content;
}

.input .cursor {
    position: absolute;
    width: 1px;
    top: 3px;
    bottom: 3px;
    left: 2px;
}
.input .content {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    margin: 0;
    white-space: pre;
    word-wrap: break-word;
    padding: 2px 4px;
}

.input.hidden {
    position: fixed;
    z-index: -1;
    opacity: 0;
}

.input.hidden .content{
    display: inline-flex;
    width: auto;
    user-select: none;
}

.focus.input {
    outline: -webkit-focus-ring-color auto 1px;
}

.cursor_set.input .cursor{
    animation: 1s blink step-end infinite;
}

@keyframes blink {
    from, to {
        background-color: black ;
    }
    50% {
        background-color: transparent;
    }
}

body {
    height: 100vh;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

html {
    padding: 0;
    margin: 0;
}


* {
    box-sizing: border-box;
}
